# Generated by Django 2.0.5 on 2022-06-08 09:12

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0106_auto_20220519_1208'),
        ('sales', '0009_auto_20220601_0907'),
    ]

    operations = [
        migrations.CreateModel(
            name='Agreement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=150)),
                ('quote_id', models.IntegerField()),
                ('is_disabled', models.BooleanField(default=False)),
                ('sections', django.contrib.postgres.fields.jsonb.JSONField(default=[])),
                ('products', django.contrib.postgres.fields.jsonb.JSONField(default=[])),
                ('major_version', models.PositiveIntegerField(blank=True, default=1, null=True)),
                ('minor_version', models.PositiveIntegerField(blank=True, default=0, null=True)),
                ('min_discount', models.IntegerField(default=0)),
                ('max_discount', models.IntegerField(default=0)),
                ('version_description', models.TextField(blank=True, default='')),
                ('customer_cost', models.DecimalField(decimal_places=2, max_digits=10)),
                ('margin', models.DecimalField(decimal_places=2, max_digits=10)),
                ('margin_percentage', models.DecimalField(decimal_places=2, max_digits=10)),
                ('internal_cost', models.DecimalField(decimal_places=2, max_digits=10)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreements', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreements', to='accounts.Provider')),
                ('template', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreements', to='sales.AgreementTemplate')),
                ('updated_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreements', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
